Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.aegis.type
Class CustomTypeMapping

    java.lang.Object
      org.codehaus.xfire.aegis.type.CustomTypeMapping

All Implemented Interfaces:
  TypeMapping

    public class CustomTypeMapping

extends java.lang.Object
implements TypeMapping

Contains type mappings for java/qname pairs and Serializer/Deserializer factories.

Since:
  Feb 21, 2004
Author:
  Dan Diephouse

Constructor Summary
`CustomTypeMapping()`
`CustomTypeMapping(TypeMapping defaultTM)`

Method Summary
`java.lang.String` | `getEncodingStyleURI()`
`Type` | `getType(java.lang.Class javaType)`
`Type` | `getType(javax.xml.namespace.QName xmlType)`
`TypeCreator` | `getTypeCreator()`
`javax.xml.namespace.QName` | `getTypeQName(java.lang.Class clazz)`
`boolean` | `isRegistered(java.lang.Class javaType)` Checks whether or not type mapping between specified XML type and Java type is registered.
`boolean` | `isRegistered(javax.xml.namespace.QName xmlType)`
`void` | `register(java.lang.Class javaType, javax.xml.namespace.QName xmlType, Type type)`
`void` | `register(Type type)`
`void` | `removeType(Type type)`
`void` | `setEncodingStyleURI(java.lang.String encodingStyleURI)`
`void` | `setTypeCreator(TypeCreator typeCreator)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomTypeMapping

    public CustomTypeMapping(TypeMapping defaultTM)

### CustomTypeMapping

    public CustomTypeMapping()

Method Detail

### isRegistered

    public boolean isRegistered(java.lang.Class javaType)

  Description copied from interface: `TypeMapping`
  Checks whether or not type mapping between specified XML type and Java type is registered.

  Specified by:
    `isRegistered` in interface `TypeMapping`
  Parameters:
    `javaType` - Class of the Java type
  Returns:
    boolean; `true` if type mapping between the specified XML type and Java type is registered; otherwise `false`

### isRegistered

    public boolean isRegistered(javax.xml.namespace.QName xmlType)

  Specified by:
    `isRegistered` in interface `TypeMapping`

### register

    public void register(java.lang.Class javaType,
                         javax.xml.namespace.QName xmlType,
                         Type type)

  Specified by:
    `register` in interface `TypeMapping`

### register

    public void register(Type type)

  Specified by:
    `register` in interface `TypeMapping`

### removeType

    public void removeType(Type type)

  Specified by:
    `removeType` in interface `TypeMapping`

### getType

    public Type getType(java.lang.Class javaType)

  Specified by:
    `getType` in interface `TypeMapping`
  See Also:
    `TypeMapping.getType(java.lang.Class)`

### getType

    public Type getType(javax.xml.namespace.QName xmlType)

  Specified by:
    `getType` in interface `TypeMapping`
  See Also:
    `TypeMapping.getType(javax.xml.namespace.QName)`

### getTypeQName

    public javax.xml.namespace.QName getTypeQName(java.lang.Class clazz)

  Specified by:
    `getTypeQName` in interface `TypeMapping`
  See Also:
    `TypeMapping.getTypeQName(java.lang.Class)`

### getEncodingStyleURI

    public java.lang.String getEncodingStyleURI()

  Specified by:
    `getEncodingStyleURI` in interface `TypeMapping`

### setEncodingStyleURI

    public void setEncodingStyleURI(java.lang.String encodingStyleURI)

  Specified by:
    `setEncodingStyleURI` in interface `TypeMapping`

### getTypeCreator

    public TypeCreator getTypeCreator()

  Specified by:
    `getTypeCreator` in interface `TypeMapping`

### setTypeCreator

    public void setTypeCreator(TypeCreator typeCreator)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.